#!/usr/bin/python3

import sys

import SimpleITK as sitk
import numpy as np
import matplotlib.pyplot as plt
from inpainting import inpainting

if __name__ == '__main__':
    image = sitk.ReadImage( \
            '/mnt/data/data/cartilage/PDslp1/hm/a103513699.nii.gz')
    array = sitk.GetArrayFromImage(image)
    array = array[:,::-1,:]
    # Switch superor and inferior to simulate image read via simpleITK + Dicom
    # instead of dcm2niix.
    imageS2I = sitk.GetImageFromArray(array) # image superior to inferior
    imageS2I.CopyInformation(image)

    mask = sitk.ReadImage( \
            '/mnt/data/data/cartilage/PDslp1/swollen/a103513699.nii.gz')
    array = sitk.GetArrayFromImage(mask)
    array = array[:,::-1,:]
    maskS2I = sitk.GetImageFromArray(array) # image superior to inferior
    maskS2I.CopyInformation(mask)

    c = inpainting()
    print('evaluating...')
    out = c(imageS2I, maskS2I)

